<html>
<head>
<title>OGRE: Ogre::VisibleObjectsBoundsInfo Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="structOgre_1_1VisibleObjectsBoundsInfo.html">VisibleObjectsBoundsInfo</a></div>
<h1>Ogre::VisibleObjectsBoundsInfo Struct Reference</h1><!-- doxytag: class="Ogre::VisibleObjectsBoundsInfo" -->Structure collecting together information about the visible objects that have been discovered in a scene.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreSceneManager_8h-source.html">OgreSceneManager.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1VisibleObjectsBoundsInfo-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1VisibleObjectsBoundsInfo.html#2bbff049935d8d0eb89d49cc74a89431">VisibleObjectsBoundsInfo</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1VisibleObjectsBoundsInfo.html#e30061f7fee451b125003e00b2254805">reset</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1VisibleObjectsBoundsInfo.html#048e53605fc5790efba73d84aae6f525">merge</a> (const <a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a> &amp;boxBounds, const <a class="el" href="classOgre_1_1Sphere.html">Sphere</a> &amp;sphereBounds, const <a class="el" href="classOgre_1_1Camera.html">Camera</a> *cam)</td></tr>

<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1VisibleObjectsBoundsInfo.html#7af1e407d66960fa69fd37e897415f31">aabb</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The axis-aligned bounds of the visible objects.  <a href="#7af1e407d66960fa69fd37e897415f31"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1VisibleObjectsBoundsInfo.html#821c0a7e158c459f30fd83e214bb47d3">minDistance</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The closest a visible object is to the camera.  <a href="#821c0a7e158c459f30fd83e214bb47d3"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1VisibleObjectsBoundsInfo.html#27ab7b6458b47fade5858c4ec457dd2f">maxDistance</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The farthest a visible objects is from the camera.  <a href="#27ab7b6458b47fade5858c4ec457dd2f"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Structure collecting together information about the visible objects that have been discovered in a scene. 
<p>Definition at line <a class="el" href="OgreSceneManager_8h-source.html#l00073">73</a> of file <a class="el" href="OgreSceneManager_8h-source.html">OgreSceneManager.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="2bbff049935d8d0eb89d49cc74a89431"></a><!-- doxytag: member="Ogre::VisibleObjectsBoundsInfo::VisibleObjectsBoundsInfo" ref="2bbff049935d8d0eb89d49cc74a89431" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::VisibleObjectsBoundsInfo::VisibleObjectsBoundsInfo           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSceneManager_8h-source.html#l00082">82</a> of file <a class="el" href="OgreSceneManager_8h-source.html">OgreSceneManager.h</a>.</p>

<p>References <a class="el" href="OgreSceneManager_8h-source.html#l00087">reset()</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="e30061f7fee451b125003e00b2254805"></a><!-- doxytag: member="Ogre::VisibleObjectsBoundsInfo::reset" ref="e30061f7fee451b125003e00b2254805" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::VisibleObjectsBoundsInfo::reset           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSceneManager_8h-source.html#l00087">87</a> of file <a class="el" href="OgreSceneManager_8h-source.html">OgreSceneManager.h</a>.</p>

<p>References <a class="el" href="OgreSceneManager_8h-source.html#l00076">aabb</a>, <a class="el" href="OgreSceneManager_8h-source.html#l00080">maxDistance</a>, <a class="el" href="OgreSceneManager_8h-source.html#l00078">minDistance</a>, and <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00517">Ogre::AxisAlignedBox::setNull()</a>.</p>

<p>Referenced by <a class="el" href="OgreSceneManager_8h-source.html#l00082">VisibleObjectsBoundsInfo()</a>.</p>

</div>
</div><p>
<a class="anchor" name="048e53605fc5790efba73d84aae6f525"></a><!-- doxytag: member="Ogre::VisibleObjectsBoundsInfo::merge" ref="048e53605fc5790efba73d84aae6f525" args="(const AxisAlignedBox &amp;boxBounds, const Sphere &amp;sphereBounds, const Camera *cam)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::VisibleObjectsBoundsInfo::merge           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>boxBounds</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Sphere.html">Sphere</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>sphereBounds</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Camera.html">Camera</a> *&nbsp;</td>
          <td class="paramname"> <em>cam</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSceneManager_8h-source.html#l00094">94</a> of file <a class="el" href="OgreSceneManager_8h-source.html">OgreSceneManager.h</a>.</p>

<p>References <a class="el" href="OgreSceneManager_8h-source.html#l00076">aabb</a>, <a class="el" href="OgreSphere_8h-source.html#l00068">Ogre::Sphere::getCenter()</a>, <a class="el" href="classOgre_1_1Camera.html#acb8b82d71f80c75798fe02de386e0aa">Ogre::Camera::getDerivedPosition()</a>, <a class="el" href="OgreSphere_8h-source.html#l00062">Ogre::Sphere::getRadius()</a>, <a class="el" href="OgreSceneManager_8h-source.html#l00080">maxDistance</a>, <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00367">Ogre::AxisAlignedBox::merge()</a>, and <a class="el" href="OgreSceneManager_8h-source.html#l00078">minDistance</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="7af1e407d66960fa69fd37e897415f31"></a><!-- doxytag: member="Ogre::VisibleObjectsBoundsInfo::aabb" ref="7af1e407d66960fa69fd37e897415f31" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a> <a class="el" href="structOgre_1_1VisibleObjectsBoundsInfo.html#7af1e407d66960fa69fd37e897415f31">Ogre::VisibleObjectsBoundsInfo::aabb</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The axis-aligned bounds of the visible objects. 
<p>

<p>Definition at line <a class="el" href="OgreSceneManager_8h-source.html#l00076">76</a> of file <a class="el" href="OgreSceneManager_8h-source.html">OgreSceneManager.h</a>.</p>

<p>Referenced by <a class="el" href="OgreSceneManager_8h-source.html#l00094">merge()</a>, and <a class="el" href="OgreSceneManager_8h-source.html#l00087">reset()</a>.</p>

</div>
</div><p>
<a class="anchor" name="821c0a7e158c459f30fd83e214bb47d3"></a><!-- doxytag: member="Ogre::VisibleObjectsBoundsInfo::minDistance" ref="821c0a7e158c459f30fd83e214bb47d3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1VisibleObjectsBoundsInfo.html#821c0a7e158c459f30fd83e214bb47d3">Ogre::VisibleObjectsBoundsInfo::minDistance</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The closest a visible object is to the camera. 
<p>

<p>Definition at line <a class="el" href="OgreSceneManager_8h-source.html#l00078">78</a> of file <a class="el" href="OgreSceneManager_8h-source.html">OgreSceneManager.h</a>.</p>

<p>Referenced by <a class="el" href="OgreSceneManager_8h-source.html#l00094">merge()</a>, and <a class="el" href="OgreSceneManager_8h-source.html#l00087">reset()</a>.</p>

</div>
</div><p>
<a class="anchor" name="27ab7b6458b47fade5858c4ec457dd2f"></a><!-- doxytag: member="Ogre::VisibleObjectsBoundsInfo::maxDistance" ref="27ab7b6458b47fade5858c4ec457dd2f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1VisibleObjectsBoundsInfo.html#27ab7b6458b47fade5858c4ec457dd2f">Ogre::VisibleObjectsBoundsInfo::maxDistance</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The farthest a visible objects is from the camera. 
<p>

<p>Definition at line <a class="el" href="OgreSceneManager_8h-source.html#l00080">80</a> of file <a class="el" href="OgreSceneManager_8h-source.html">OgreSceneManager.h</a>.</p>

<p>Referenced by <a class="el" href="OgreSceneManager_8h-source.html#l00094">merge()</a>, and <a class="el" href="OgreSceneManager_8h-source.html#l00087">reset()</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreSceneManager_8h-source.html">OgreSceneManager.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:52:49 2008
</p>
</body>
</html>
